function output = lolik2_sd(beta,dt,cu,ucu)

% Construct the product of empirical score function at states with n = 1

n = length(dt); % the number of samples at the current state

options = optimset('Display','off');

h = 0.01;
beta1 = beta + h;

x10 = 0; 
[x1,x1val] = fsolve(@eqrest2,x10,options,beta,cu,ucu); 
% Computing choice probability when beta is Beta_MLE

[y1,y1val] = fsolve(@eqrest2,x10,options,beta1,cu,ucu);
% Computing choice probability when beta is (Beta_MLE + h)

cp1 = exp(x1)/(1+exp(x1)); cp2 = exp(y1)/(1+exp(y1));

lik1 = (dt(:,1) == 1)*log(cp1) + (dt(:,1) == 0)*log(1-cp1); 
% Evaluating likelihood function when beta is Beta_MLE

lik2 = (dt(:,1) == 1)*log(cp2) + (dt(:,1) == 0)*log(1-cp2); 
% Evaluating likelihood function when beta is (Beta_MLE + h)

lik_der = (lik1 - lik2)./h;

output = lik_der'*lik_der;




