%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Obtain QRE choice probabilities at states and their corresponding payoff
% differences between contributing and not contributing
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function output = lolik_EU(xbeta,a10,a20,a21,a22,A)

beta = exp(xbeta);

cu22 = A; ucu22 = A+1;
out = lolik2(beta,a22,cu22,ucu22);
lik22 = out(1); cp22 = out(2);
u22 = cp22*cu22 + (1-cp22)*ucu22;
pd22 = cu22 - ucu22;

cu21 = A; ucu21 = [1;A+1];
out = lolik1(beta,a21,cu21,ucu21);
lik21 = out(1); cp21 = out(2); 
u21 = cp21*cu21 + (1-cp21)*((1-cp21)*ucu21(1)+cp21*ucu21(2));
pd21 = cu21 - ((1-cp21)*ucu21(1)+cp21*ucu21(2));

cu20 = [0;A]; ucu20 = [1;1;A+1];
out = lolik0(beta,a20,cu20,ucu20);
lik20 = out(1); cp20 = out(2);
term1 = cp20*(((1-cp20)^2)*cu20(1)+(1-((1-cp20)^2))*cu20(2));
term0 = (1-cp20)*(((1-cp20)^2)*ucu20(1)+2*(1-cp20)*cp20*ucu20(2)+(cp20^2)*ucu20(3));
u20 = term1 + term0; c21 = ((1-cp21)^2)*cu20(1)+(1-(1-cp21)^2)*cu20(2);
pd20 = (((1-cp20)^2)*cu20(1)+(1-((1-cp20)^2))*cu20(2)) - (((1-cp20)^2)*ucu20(1)+2*(1-cp20)*cp20*ucu20(2)+(cp20^2)*ucu20(3));

cu10 = [c21;A]; ucu10 = [u20;u21;u22];
out = lolik0(beta,a10,cu10,ucu10);
lik10 = out(1); cp10 = out(2);
term1 = cp10*(((1-cp10)^2)*cu10(1)+(1-((1-cp10)^2))*cu10(2));
term0 = (1-cp10)*(((1-cp10)^2)*ucu10(1)+2*(1-cp10)*cp10*ucu10(2)+(cp10^2)*ucu10(3));
u10 = term1 + term0;
pd10 = -(((1-cp10)^2)*ucu10(1)+2*(1-cp10)*cp10*ucu10(2)+(cp10^2)*ucu10(3)) + (((1-cp10)^2)*cu10(1)+(1-((1-cp10)^2))*cu10(2));

output = [cp10,pd10; cp20,pd20; cp21,pd21; cp22,pd22];

