function output = lolik_sd(beta,a10,a20,a21,a22,A)

% Construct a single, grand negative log-likelihood function with all
% states

% beta : a scalar, single parameter model

cu22 = A; ucu22 = A+1;
out = lolik2(beta,a22,cu22,ucu22);
lik22 = out(1); cp22 = out(2);
u22 = cp22*cu22 + (1-cp22)*ucu22;
bh22 = lolik2_sd(beta,a22,cu22,ucu22);

cu21 = A; ucu21 = [1;A+1];
out = lolik1(beta,a21,cu21,ucu21);
lik21 = out(1); cp21 = out(2); 
u21 = cp21*cu21 + (1-cp21)*((1-cp21)*ucu21(1)+cp21*ucu21(2));
bh21 = lolik1_sd(beta,a21,cu21,ucu21);

cu20 = [0;A]; ucu20 = [1;1;A+1];
out = lolik0(beta,a20,cu20,ucu20);
lik20 = out(1); cp20 = out(2);
term1 = cp20*(((1-cp20)^2)*cu20(1)+(1-((1-cp20)^2))*cu20(2));
term0 = (1-cp20)*(((1-cp20)^2)*ucu20(1)+2*(1-cp20)*cp20*ucu20(2)+(cp20^2)*ucu20(3));
u20 = term1 + term0; c21 = ((1-cp21)^2)*cu20(1)+(1-(1-cp21)^2)*cu20(2);
bh20 = lolik0_sd(beta,a20,cu20,ucu20);

cu10 = [c21;A]; ucu10 = [u20;u21;u22];
out = lolik0(beta,a10,cu10,ucu10);
lik10 = out(1); cp10 = out(2);
bh10 = lolik0_sd(beta,a10,cu10,ucu10);

output = bh10+bh20+bh21+bh22;

