%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Construction of loglikelihood function at states with n = 0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function output = lolik0(beta,dt,cu,ucu)

n = length(dt); % the number of samples at the current state

options = optimset('Display','off'); x00 = 0; 

[x0,x0val] = fsolve(@eqrest0,x00,options,beta,cu,ucu); 
% To solve a fixed point satisfying the QRE restriction to get choice
% probability.

cp0 = exp(x0)/(1+exp(x0));

lik0 = (dt(:,1) == 1)*log(cp0) + (dt(:,1) == 0)*log(1-cp0); 
lo_lik0 = sum(lik0);

output = [-lo_lik0;cp0];

