%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% QRE restriction to get choice probabilities at states with n = 2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function output = eqrest2(md,beta,cu,ucu)

% cu is a scalar of committed PL's payoff at n = 2 in next period
% ucu is a 2x1 vector of uncommitted PL's payoff at n =1,2 in next period

lamda = exp(md)/(1+exp(md));

term1 = cu;
% Expected payoff at the current state if contributing

term0 = ucu;
% Expected payoff at the current state if not contributing

udif = term1 - term0;

output = 1/(1 + exp(-beta*udif))-lamda;

