%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Construction of loglikelihood function at states with n = 2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function output = lolik2(beta,dt,cu,ucu)

n = length(dt); % the number of samples at the current state

options = optimset('Display','off');

x10 = 0; [x1,x1val] = fsolve(@eqrest2,x10,options,beta,cu,ucu); 
% To solve a fixed point satisfying the QRE restriction to get choice
% probability.

cp0 = exp(x1)/(1+exp(x1));

lik1 = (dt(:,1) == 1)*log(cp0) + (dt(:,1) == 0)*log(1-cp0); 
lo_lik1 = sum(lik1);

output = [-lo_lik1;cp0];

