%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% QRE restriction to get choice probabilities at states with n = 0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function output = eqrest0(md,beta,cu,ucu)
% cu is a 2x1 vector of committed PL's payoff at n = 1,2 in next period
% ucu is a 3x1 vector of uncommitted PL's payoff at n =0,1,2 in next period

lamda = exp(md)/(1+exp(md));

term1 = ((1-lamda)^2)*cu(1) + (1-(1-lamda)^2)*cu(2);
% Expected payoff at the current state if contributing

term0 = ((1-lamda)^2)*ucu(1) + 2*lamda*(1-lamda)*ucu(2) + (lamda^2)*ucu(3);
% Expected payoff at the current state if not contributing

udif = term1 - term0;

output = 1/(1 + exp(-beta*udif)) - lamda;

